NetBSD Problem Report #49318

From tsutsui@ceres.dti.ne.jp  Sun Oct 26 16:15:47 2014
Return-Path: <tsutsui@ceres.dti.ne.jp>
Received: from mail.netbsd.org (mail.netbsd.org [149.20.53.66])
	(using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
	(Client CN "mail.netbsd.org", Issuer "Postmaster NetBSD.org" (verified OK))
	by mollari.NetBSD.org (Postfix) with ESMTPS id E7B10A65E6
	for <gnats-bugs@gnats.NetBSD.org>; Sun, 26 Oct 2014 16:15:47 +0000 (UTC)
Message-Id: <201410261615.s9QGFgrT004190@mirage.localdomain>
Date: Mon, 27 Oct 2014 01:15:42 +0900 (JST)
From: Izumi Tsutsui <tsutsui@ceres.dti.ne.jp>
Reply-To: tsutsui@ceres.dti.ne.jp
To: gnats-bugs@gnats.NetBSD.org
Cc: tsutsui@ceres.dti.ne.jp
Subject: pkgsrc-2014Q3 wm/awesome build fails on NetBSD 6.1.5
X-Send-Pr-Version: 3.95

>Number:         49318
>Category:       pkg
>Synopsis:       pkgsrc-2014Q3 wm/awesome build fails on NetBSD 6.1.5
>Confidential:   no
>Severity:       non-critical
>Priority:       medium
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Sun Oct 26 16:20:00 +0000 2014
>Closed-Date:    
>Last-Modified:  Sat Feb 14 12:55:13 +0000 2015
>Originator:     Izumi Tsutsui
>Release:        pkgsrc-2014Q3 and NetBSD 6.1.5
>Organization:
>Environment:
System: NetBSD/amd64 6.1.5 (GENERIC)
Architecture: x86_64
Machine: amd64
>Description:
On pkgsrc-2014Q3 + NetBSD/amd64 6.1.5, pkgsrc/wm/awesome build fails
as following:

---
:

===> Building binary package for lua52-gi-0.7.1nb2
=> Creating binary package /r/work/pkgsrc/packages/x86_64-6.1.5_2014Q3/All/lua52-gi-0.7.1nb2.tgz
/bin/ln -f /s/obj.x86_64/pkgsrc/devel/lua-gi/work.x86_64/.packages/lua52-gi-0.7.1nb2.tgz /r/work/pkgsrc/packages/x86_64-6.1.5_2014Q3/All/lua52-gi-0.7.1nb2.tgz 2>/dev/null || /bin/cp -pf /s/obj.x86_64/pkgsrc/devel/lua-gi/work.x86_64/.packages/lua52-gi-0.7.1nb2.tgz /r/work/pkgsrc/packages/x86_64-6.1.5_2014Q3/All/lua52-gi-0.7.1nb2.tgz
===> Install binary package of lua52-gi-0.7.1nb2
===> Leaving ``package-install'' after barrier for lua52-gi-0.7.1nb2
ERROR: [depends.mk] A package matching ``lua51-gi>=0.7.0'' should
ERROR: be installed, but one cannot be found. Perhaps there is a
ERROR: stale work directory for ../../devel/lua-gi?
*** Error code 1

Stop.
make: stopped in /usr/pkgsrc/wm/awesome
*** Error code 1

Stop.
---

Full build log is here:
https://gist.github.com/tsutsui/4c00cf6d47c14f906f11

The official bulk build log
http://nyftp.netbsd.org/pub/pkgsrc/packages/reports/2014Q3/NetBSD-6.0-x86_64/20141025.1642/meta/report.html
says awesome builds.
I guess this builds only if lua51 is already installed?

>How-To-Repeat:
extract pkgsrc-2014Q3 and
(cd pkgsrc/wm/awesome && make package-install)


>Fix:
Commenting out
>> LUA_VERSIONS_INCOMPATIBLE=52
line in Makefile makes it build, but I'm not sure
why the variable was added on the Lua mulitiversion support:
http://mail-index.netbsd.org/pkgsrc-changes/2014/05/03/msg105294.html

---

>Release-Note:

>Audit-Trail:

From: Izumi Tsutsui <tsutsui@ceres.dti.ne.jp>
To: gnats-bugs@NetBSD.org
Cc: tsutsui@ceres.dti.ne.jp
Subject: Re: pkg/49318: pkgsrc-2014Q3 inputmethod/uim-elisp build fails on NetBSD
	 6.1.5
Date: Mon, 27 Oct 2014 01:23:59 +0900

 > >Synopsis:       pkgsrc-2014Q3 inputmethod/uim-elisp build fails on NetBSD 6.1.5

 Sorry, wrong Synopsis (it should be wm/awesome).
 Fixed in gnats.

 ---
 Izumi Tsutsui

From: "OBATA Akio" <obata@lins.jp>
To: gnats-bugs@netbsd.org
Cc: 
Subject: Re: pkg/49318: pkgsrc-2014Q3 wm/awesome build fails on NetBSD 6.1.5
Date: Mon, 27 Oct 2014 09:32:48 +0900

 On Mon, 27 Oct 2014 01:20:00 +0900, Izumi Tsutsui <tsutsui@ceres.dti.ne.jp> wrote:

 > The official bulk build log
 > http://nyftp.netbsd.org/pub/pkgsrc/packages/reports/2014Q3/NetBSD-6.0-x86_64/20141025.1642/meta/report.html
 > says awesome builds.
 > I guess this builds only if lua51 is already installed?

 lang/lua/luaversion.mk must be improved to detect LUA_VERSION_REQD from PKGNAME_REQD,
 same as lang/python/pyversion.mk and lang/ruby/rubyversion.mk.

 -- 
 OBATA Akio / obata@lins.jp

From: "OBATA Akio" <obache@netbsd.org>
To: gnats-bugs@gnats.NetBSD.org
Cc: 
Subject: PR/49318 CVS commit: pkgsrc/lang/lua
Date: Sun, 7 Dec 2014 05:10:43 +0000

 Module Name:	pkgsrc
 Committed By:	obache
 Date:		Sun Dec  7 05:10:43 UTC 2014

 Modified Files:
 	pkgsrc/lang/lua: luaversion.mk

 Log Message:
 Auto detect lua version from required package name.
 resolve PR pkg/49318


 To generate a diff of this commit:
 cvs rdiff -u -r1.5 -r1.6 pkgsrc/lang/lua/luaversion.mk

 Please note that diffs are not public domain; they are subject to the
 copyright notices on the relevant files.

State-Changed-From-To: open->feedback
State-Changed-By: obache@NetBSD.org
State-Changed-When: Mon, 15 Dec 2014 09:08:18 +0000
State-Changed-Why:
fixed for you?


State-Changed-From-To: feedback->closed
State-Changed-By: tsutsui@NetBSD.org
State-Changed-When: Fri, 26 Dec 2014 18:00:40 +0000
State-Changed-Why:
Confirmed fixed on pkgsrc HEAD + NetBSD/i386 6.1.5.


State-Changed-From-To: closed->open
State-Changed-By: tsutsui@NetBSD.org
State-Changed-When: Sat, 14 Feb 2015 12:55:13 +0000
State-Changed-Why:
http://cvsweb.netbsd.org/bsdweb.cgi/pkgsrc/lang/lua/luaversion.mk#rev1.8
http://cvsweb.netbsd.org/bsdweb.cgi/pkgsrc/lang/lua/luaversion.mk#rev1.6


>Unformatted:

NetBSD Home
NetBSD PR Database Search

(Contact us) $NetBSD: query-full-pr,v 1.39 2013/11/01 18:47:49 spz Exp $
$NetBSD: gnats_config.sh,v 1.8 2006/05/07 09:23:38 tsutsui Exp $
Copyright © 1994-2014 The NetBSD Foundation, Inc. ALL RIGHTS RESERVED.